Forums

Move from Ubuntu 11.10 to 12.04

Some games break

Auteur Réponses
Drowz0r Mercredi 20 Juin 2012 à 14:51
Drowz0rAnonymous

Hello all

I tried to update from Ubuntu 11.10 to 12.04 previously but almost all my games stopped working. I tried again now, more out of necessity due to graphics card driver issues (I bought a new graphics card and the drivers don't work in 11.10).

So most games seem ok this time around. WCIII, HL, Portal... etc

Diablo 3 still isn't working through. I've tried a fresh format. Reinstall of POL. Reinstall of Drivers. Reinstall of POL, D3 with my new drivers already in.

The game installs perfectly. Goes to the log in screen absolutely fine and connect to battle.net but hangs on authenticating details.

If I enter an incorrect password it detects it's incorrect but using the correct password it will not progress past "authenticating details".

On the final attempt of installing drivers and trying to run the game, it says my graphics card does not have the features necessary to run Diablo 3.

Can anyone help here?

Edité par Drowz0r


Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Mercredi 20 Juin 2012 à 16:30
Quentin PÂRIS
Admin

What is your graphic card?
Drowz0r Mercredi 20 Juin 2012 à 16:35
Drowz0rAnonymous

What is your graphic card?

Quote from Tinou


Recently changed to a ATI Radeon HD 6870 1GB RAM

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Mercredi 20 Juin 2012 à 16:42
Quentin PÂRIS
Admin

ATI are really badly supported on linux.

Update to 12.6 catalyst (not officially supported by ubuntu) should fix your problem
Drowz0r Mercredi 20 Juin 2012 à 16:51
Drowz0rAnonymous

Yeah the support does seem terrible for Linux. Next time I'll stick with NVIDIA.

I'll give it a go. It's 12.6 catalyst Beta on the site... If it doesn't work I think I'll just send the card back.

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Drowz0r Mercredi 20 Juin 2012 à 17:07
Drowz0rAnonymous

Just installed the Beta driver and it still won't work. It also causes the games that were working to drop to about 20FPS.

Just going to return the card I think :(

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Mercredi 20 Juin 2012 à 17:09
Quentin PÂRIS
Admin

Are you sure that drivers are well installed? What does POL say about direct rendering?

Edité par Tinou

Drowz0r Mercredi 20 Juin 2012 à 18:52
Drowz0rAnonymous

Are you sure that drivers are well installed? What does POL say about direct rendering?

Quote from Tinou


Yeah the drivers seemed to install without any issues.It's loading WCIII with terrible FPS but it does load Diablo 3... just it won't get past the "Authenticating Credentials..." part.

Where can I find the direct rendering information?

Edité par Drowz0r


Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Mercredi 20 Juin 2012 à 18:53
Quentin PÂRIS
Admin

Open POL in a terminal
Drowz0r Mercredi 20 Juin 2012 à 18:54
Drowz0rAnonymous

Is this what you're after?

drowz0r@Prime:~$ playonlinux
[install_plugins] Message: Checking plugin: Offline PlayOnLinux...
[install_plugins] Message: Checking plugin: Capture...
[install_plugins] Message: Checking plugin: Transgaming Cedega...
[install_plugins] Message: Checking plugin: WineImport...
[install_plugins] Message: Checking plugin: Wine Look...
[install_plugins] Message: Checking plugin: ScreenCap...
[install_plugins] Message: Checking plugin: PlayOnLinux Vault...
[Check_OpenGL] Message: 32bits direct rendering is enabled
[Check_OpenGL] Message: 64bits direct rendering is enabled
[main] Message: Filesystem is compatible
[maj_check] Message: List is up to date

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Drowz0r Mercredi 20 Juin 2012 à 20:45
Drowz0rAnonymous

Actually I think the card has some major driver issues... but PoL still won't connect Diablo 3 in Ubuntu 12.04 even with the old card but works like a dream in 11.10

Looks like some kind of bug? Beats me :)

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Mercredi 20 Juin 2012 à 21:13
Quentin PÂRIS
Admin

It's not a POL bug, it's a Ubuntu bug.
Drowz0r Lundi 25 Juin 2012 à 19:32
Drowz0rAnonymous

I've got an NVIDIA card in now and it's running everything fine. Unforuntately there is the same Authenticating Credentials issue it doesn't seem to be able to get past.

Worked fine in 11.10 but now in 12.04

If it's an ubuntu bug, is the only fix rolling back to 11.10?

Thanks

Ubuntu 16.04 LTS
8GiB RAM | Intel 3.20 Quad Core CPU
GeForce GTX 750 Ti/PCIe/SSE2 | Dual 4.3 (5:4 res) 19" screens
Quentin PÂRIS Lundi 25 Juin 2012 à 20:21
Quentin PÂRIS
Admin

Read the news about Diablo III, there is a command to type on 12.04